# Contributing to openapi-validator-utils

Thanks for your interest in openapi-validator-utils. Our goal is to provide some validator methods to the request, parameters, headers and responses based on the OpenAPI Docs.

## Contributions

openapi-validator-utils welcomes contributions from everyone.

Contributions to openapi-validator-utils should be made in the form of GitHub pull requests. Each pull request will
be reviewed by a core contributor ([@bri06](https://github.com/bri06) or [@kevinccbsg](https://github.com/kevinccbsg)) and either landed in the
main tree or given feedback for changes that would be required.

## Getting Started

openapi-validator-utils's [open issues are here](https://github.com/BRIKEV/openapi-validator-utils/issues).

openapi-validator-utils's [docs are here](https://github.com/BRIKEV/openapi-validator-utils/blob/main/README.md).

You can clone this repository and run this command to start using developing this package.

```
npm install
```

If you want to test it you can add a new test in [this folder](https://github.com/BRIKEV/openapi-validator-utils/tree/master/test) or you can create a new example [here](https://github.com/BRIKEV/openapi-validator-utils/tree/master/examples).

To execute package's tests you have run this command:

```
npm test
```

Please also ensure linting is correct while you're developing by running this command:

```
npm run lint
```

## Pull Request Checklist

- [Check validations](https://github.com/BRIKEV/openapi-validator-utils/actions?query=workflow%3ABuild) should pass. This one includes linting and testing.

- Commits should be as small as possible, while ensuring that each commit is
  correct independently (i.e., each commit should compile and pass tests). 

- If your patch is not getting reviewed or you need a specific person to review
  it, you can @-reply a reviewer asking for a review in the pull request or a
  comment.


## Conduct

We follow the [openapi-validator-utils Code of Conduct](https://github.com/BRIKEV/openapi-validator-utils/blob/master/CODE_OF_CONDUCT.md).

All code in this repository is under [MIT License](https://github.com/BRIKEV/openapi-validator-utils/blob/master/LICENSE.md).
